﻿using System;
using UnityEngine;
using Verse;

namespace SmartTurretCovering
{
    public class Settings : ModSettings
    {
        public enum TurretCoverFactor
        {
            One = 1,
            OneHalf = 2,
            OneThird = 3,
            OneQuarter = 4,
        }
        public static TurretCoverFactor CurrentFactor = TurretCoverFactor.OneThird;

        override public void ExposeData()
        {
            base.ExposeData();
            Scribe_Values.Look(ref CurrentFactor, "CurrentFactor");
        }

        public static void DoSettingsWindowContents(Rect inRect)
        {
            var listing = new Listing_Standard();

            listing.Begin(new Rect(inRect.x, inRect.y, inRect.width / 3f, inRect.height));

            Text.Font = GameFont.Small;
            listing.Label("SmartTurretCovering.CoveredFactorForTurrets".Translate());
            if (listing.RadioButton("　" + "SmartTurretCovering.Fortified".Translate(), (CurrentFactor == TurretCoverFactor.One)))
            {
                CurrentFactor = TurretCoverFactor.One;
            }
            Text.Font = GameFont.Tiny;
            listing.Label("　　　<color=grey>" + "SmartTurretCovering.Fortified.description".Translate() + "</color>");

            Text.Font = GameFont.Small;
            if (listing.RadioButton("　" + "SmartTurretCovering.Solid".Translate(), (CurrentFactor == TurretCoverFactor.OneHalf)))
            {
                CurrentFactor = TurretCoverFactor.OneHalf;
            }
            Text.Font = GameFont.Tiny;
            listing.Label("　　　<color=grey>" + "SmartTurretCovering.Solid.description".Translate() + "</color>");

            Text.Font = GameFont.Small;
            if (listing.RadioButton("　" + "SmartTurretCovering.Decent".Translate() + " " + "SmartTurretCovering.Default".Translate(), (CurrentFactor == TurretCoverFactor.OneThird)))
            {
                CurrentFactor = TurretCoverFactor.OneThird;
            }
            Text.Font = GameFont.Tiny;
            listing.Label("　　　<color=grey>" + "SmartTurretCovering.Decent.description".Translate() + "</color>");

            Text.Font = GameFont.Small;
            if (listing.RadioButton("　" + "SmartTurretCovering.Modest".Translate(), (CurrentFactor == TurretCoverFactor.OneQuarter)))
            {
                CurrentFactor = TurretCoverFactor.OneQuarter;
            }
            Text.Font = GameFont.Tiny;
            listing.Label("　　　<color=grey>" + "SmartTurretCovering.Modest.description".Translate() + "</color>");

            Text.Font = GameFont.Small;
            listing.End();
        }
    }
}
